apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: controller
spec:
  interval: 30m
  chart:
    spec:
      chart: fsc-nlx-controller
      version: 0.13.4
      sourceRef:
        kind: HelmRepository
        name: commonground
      interval: 12h
  valuesFrom:
  - kind: ConfigMap
    name: fsc-nlx-controller-helm-values
    valuesKey: nlx-controller-values.yaml
  - kind: Secret
    name: helm-values
    valuesKey: common.yaml
  - kind: Secret
    name: helm-values
    valuesKey: nlx-controller-values.yaml
